package
{
	import com.greensock.TweenLite;
	import com.greensock.TweenMax;
	import com.greensock.plugins.HexColorsPlugin;
	import com.greensock.plugins.TweenPlugin;
	
	import org.flixel.*;

	public class CutSceneState extends FlxState
	{				
		
		
		[Embed(source="data/pingsm.mp3")]
		public static var SndPing:Class;
		
		[Embed(source="data/cut1.png")]
		public var Img1x0:Class;
		[Embed(source="data/cut1b.png")]
		public var Img1x1:Class;
		[Embed(source="data/cut1c.png")]
		public var Img1x2:Class;
		[Embed(source="data/cut1d.png.png")]
		public var Img1x3:Class;		
		
		
		[Embed(source="data/cut2a.png")]
		public var Img2x0:Class;
		[Embed(source="data/cut2b.png")]
		public var Img2x1:Class;
		
		[Embed(source="data/cut3a.png")]
		public var Img3x0:Class;
		
		[Embed(source="data/cut4a.png")]
		public var Img4x0:Class;		
								
		[Embed(source="data/cut5a.png")]
		public var Img5x0:Class;		
		
		
		[Embed(source="data/cut6a.png")]
		public var Img6x0:Class;
		
		
		[Embed(source="data/cut7a.png")]
		public var Img7x0:Class;
		[Embed(source="data/cut7b.png")]
		public var Img7x1:Class;
		[Embed(source="data/cut7c.png")]
		public var Img7x2:Class;
		[Embed(source="data/cut7d.png")]
		public var Img7x3:Class;
		
		public var dat:Vector.<Vector.<Class>>;
		public static var cutscene:int=0;
		public var page:int=0;
		
		public var img:FlxSprite;
		override public function create():void
		{
			super.create();
			
			dat = new Vector.<Vector.<Class>>();
			var s:String;
			for (var i:int=1;s="Img"+i+"x0", this.hasOwnProperty(s);i++)
			{
				var r:Vector.<Class> = new Vector.<Class>();
				for (var j:int=0;this.hasOwnProperty("Img"+i+"x"+j);j++)
				{
					r.push(this["Img"+i+"x"+j]);
				}
				dat.push(r);
			}			
				
			page=0;
			img = new FlxSprite();
			this.add(img);
			UpdateGraphics();
		}
		
		private function UpdateGraphics():void
		{
			img.loadGraphic(dat[cutscene][page]);
		}
		
		private var fading:Boolean=false;
		
		private function FadeComplete():void
		{			
			if (cutscene==6)
			{
				FlxG.switchState(new EndState());
			}
			else
			{
				FlxG.switchState(new GameState());
			}
		}
		
		override public function update():void
		{
			if (fading)
			{
				super.update();
				return;
			}
			
			if ((FlxG.mouse.justPressed()||(FlxG.keys.justPressed("SPACE"))))
			{
				FlxG.play(SndPing,TitleState.sfxv);
				page++;
				if (page>=dat[cutscene].length)
				{					
					
					FlxG.fade(0xff000000,0.5,FadeComplete,true);
					fading=true;
					
				}
				else
				{
					UpdateGraphics();
				}
			}
			super.update();
		}		
	}
}