package
{
	import com.greensock.TweenLite;
	import com.greensock.TweenMax;
	import com.greensock.plugins.HexColorsPlugin;
	import com.greensock.plugins.TweenPlugin;
	
	import flash.net.SharedObject;
	
	import flashx.textLayout.operations.CutOperation;
	
	import org.flixel.*;

	public class TitleState extends FlxState
	{				
		
		[Embed(source="data/ping.mp3")]
		public static var SndPing:Class;
		
		[Embed(source="data/title.png")]
		public static var ImgBG:Class;
		
		[Embed(source="data/newgame.png")]
		public static var ImgNewGame:Class;
		[Embed(source="data/continue.png")]
		public static var ImgContinue:Class;
		
		[Embed(source="data/music.mp3")]
		private static var SndMusic:Class;
		
		override public function create():void
		{
			super.create();
			FlxG.playMusic(SndMusic);
			
			FlxG.level=0;
			var save:FlxSave = new FlxSave();			
			if (save.bind("CB"))
			{
				FlxG.level =  save.data.level;				
			}
			if (FlxG.level>=8)
				FlxG.level=0;
			
			this.add(new FlxSprite(0,0,ImgBG));
			
		}
		
		override public function update():void
		{
			if (fading==false)
			{
				if (FlxG.keys.justPressed("SPACE"))
					ClickNew();
			}
			
			if (FlxG.mouse.justPressed())
			{
				ClickNew();
			}
			
			super.update();
		}		
		
		private var fading:Boolean=false;
		
		private function ClickNew():void
		{
			if (fading)
				return;
			
			FlxG.level=0;
			var save:FlxSave = new FlxSave();			
			if (save.bind("CB"))
			{
				save.data.level=FlxG.level;
			}
			CutSceneState.cutscene=0;
			fading=true;
			FlxG.play(SndPing,TitleState.sfxv);
			FlxG.fade(0xff000000,0.5,ClickNewFaded,true);
			
		}
		public static var sfxv:Number=0.5;
		
		private function ClickNewFaded():void
		{
			FlxG.switchState(new CutSceneState());			
		}
		
		private function ClickContinue():void
		{
			FlxG.play(SndPing,TitleState.sfxv);
			FlxG.fade(0xff000000,0.5,ClickContinueFaded,true);
			
		}
		private function ClickContinueFaded():void
		{
			FlxG.switchState(new GameState());			
		}
	}
}